Chromium Code Reviews
Help | Chromium Project | Sign in
(22)

Issue 2689273002: Fix appearance of header row separators in table view at fractional (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
1 month, 1 week ago by Evan Stade
Modified:
1 month ago
Reviewers:
msw, Peter Kasting
CC:
chromium-reviews, tfarina
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Fix appearance of header row separators in table view at fractional scale factors. BUG=688507 Review-Url: https://codereview.chromium.org/2689273002 Cr-Commit-Position: refs/heads/master@{#451107} Committed: https://chromium.googlesource.com/chromium/src/+/7236fb9312cfeb76d7f0c195eb567c995143add5

Patch Set 1 #

Total comments: 7

Patch Set 2 : pkasting review #

Unified diffs Side-by-side diffs Delta from patch set Stats (+27 lines, -12 lines) Patch
M ui/gfx/canvas.h View 1 2 chunks +5 lines, -1 line 0 comments Download
M ui/gfx/canvas.cc View 1 2 chunks +16 lines, -6 lines 0 comments Download
M ui/views/controls/table/table_header.cc View 2 chunks +6 lines, -5 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 25 (14 generated)
Evan Stade
https://codereview.chromium.org/2689273002/diff/1/ui/gfx/canvas.cc File ui/gfx/canvas.cc (right): https://codereview.chromium.org/2689273002/diff/1/ui/gfx/canvas.cc#newcode335 ui/gfx/canvas.cc:335: flags.setStrokeWidth(std::floor(dsf)); I guess I could use gfx::ToFlooredInt for this, ...
1 month, 1 week ago (2017-02-14 23:06:04 UTC) #6
Peter Kasting
LGTM I wonder if DrawLine() should do this by default. https://codereview.chromium.org/2689273002/diff/1/ui/gfx/canvas.cc File ui/gfx/canvas.cc (right): https://codereview.chromium.org/2689273002/diff/1/ui/gfx/canvas.cc#newcode328 ...
1 month, 1 week ago (2017-02-15 00:44:00 UTC) #7
Evan Stade
https://codereview.chromium.org/2689273002/diff/1/ui/gfx/canvas.cc File ui/gfx/canvas.cc (right): https://codereview.chromium.org/2689273002/diff/1/ui/gfx/canvas.cc#newcode328 ui/gfx/canvas.cc:328: PointF start = p1; On 2017/02/15 00:43:59, Peter Kasting ...
1 month ago (2017-02-15 16:54:47 UTC) #8
Evan Stade
+msw for owners
1 month ago (2017-02-15 16:55:05 UTC) #10
msw
lgtm
1 month ago (2017-02-15 21:51:18 UTC) #11
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2689273002/20001
1 month ago (2017-02-15 22:00:29 UTC) #14
commit-bot: I haz the power
Try jobs failed on following builders: win_chromium_x64_rel_ng on master.tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_x64_rel_ng/builds/367300) win_clang on master.tryserver.chromium.win (JOB_FAILED, ...
1 month ago (2017-02-15 22:37:18 UTC) #16
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2689273002/20001
1 month ago (2017-02-16 03:05:19 UTC) #18
commit-bot: I haz the power
Try jobs failed on following builders: win_chromium_x64_rel_ng on master.tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_x64_rel_ng/builds/367589)
1 month ago (2017-02-16 04:15:51 UTC) #20
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2689273002/20001
1 month ago (2017-02-16 19:10:45 UTC) #22
commit-bot: I haz the power
1 month ago (2017-02-16 21:50:22 UTC) #25
Message was sent while issue was closed.
Committed patchset #2 (id:20001) as
https://chromium.googlesource.com/chromium/src/+/7236fb9312cfeb76d7f0c195eb56...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld d1a128a62